Subject: 30.0.50; project-files returns files that have been deleted

From: João Távora <[email-masked]>
Date: Mon, 03 Apr 2023 02:14:57 +0100

Hello,

Originally reported in https://github.com/joaotavora/eglot/issues/1198

project-files, used by Eglot, returns files that have been deleted in
the filesystem but are still versioned by Git.  This led to Eglot
reporting a errors to the LSP server since it was using that list of
files to place filesystem watchers.

The problem was worked around in Eglot, but the question remains whether
project-files should be reworked to filter out these nonexistent files
from its return value.

According to Dmitry, doing so might be expensive, since the underlying
Git implementation of this method, 'git ls-files', is 2x faster when not
required to filter out deleted files.

João